- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes

# QContextMenuEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 391 of file qevent.h.

`#include <qevent.h>`

Inheritance diagram for QContextMenuEvent:
[legend]

List of all members.

## Public Types
enum | Reason { Mouse, Keyboard, Other }
## Public Member Functions
| QContextMenuEvent (Reason reason, const QPoint &pos, const QPoint &globalPos, Qt::KeyboardModifiers modifiers)
| QContextMenuEvent (Reason reason, const QPoint &pos, const QPoint &globalPos)
| QContextMenuEvent (Reason reason, const QPoint &pos)
| ~QContextMenuEvent ()
int | x () const
int | y () const
int | globalX () const
int | globalY () const
const QPoint & | pos () const
const QPoint & | globalPos () const
Reason | reason () const
## Protected Attributes
QPoint | p
QPoint | gp
uint | reas: 8

## Member Enumeration Documentation

enum Reason

Search for all occurrences

Enumerator:

  Mouse | Search for all occurrences
  Keyboard | Search for all occurrences
  Other | Search for all occurrences

Definition at line 394 of file qevent.h.

    { Mouse, Keyboard, Other };

## Constructor & Destructor Documentation

QContextMenuEvent | ( | Reason | reason,
|  | const QPoint & | pos,
|  | const QPoint & | globalPos,
|  | Qt::KeyboardModifiers | modifiers
| ) |  |

QContextMenuEvent | ( | Reason | reason,
|  | const QPoint & | pos,
|  | const QPoint & | globalPos
| ) |  |

QContextMenuEvent | ( | Reason | reason,
|  | const QPoint & | pos
| ) |  |

~QContextMenuEvent | ( |  | ) |

## Member Function Documentation

int x | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 402 of file qevent.h.

    { return p.x(); }

int y | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 403 of file qevent.h.

    { return p.y(); }

int globalX | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 404 of file qevent.h.

    { return gp.x(); }

int globalY | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 405 of file qevent.h.

    { return gp.y(); }

const QPoint& pos | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 407 of file qevent.h.

    { return p; }

const QPoint& globalPos | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 408 of file qevent.h.

    { return gp; }

Reason reason | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 410 of file qevent.h.

    { return Reason(reas); }

## Member Data Documentation

QPoint p `[protected]`

Search for all occurrences

Definition at line 419 of file qevent.h.

QPoint gp `[protected]`

Search for all occurrences

Definition at line 420 of file qevent.h.

uint reas `[protected]`

Search for all occurrences

Definition at line 421 of file qevent.h.

The documentation for this class was generated from the following file:

- QtGui/qevent.h

QContextMenuEvent QContextMenuEvent QContextMenuEvent QContextMenuEvent QContextMenuEvent QContextMenuEvent QContextMenuEvent QContextMenuEvent QContextMenuEvent QContextMenuEvent
QContextMenuEvent QContextMenuEvent QContextMenuEvent QContextMenuEvent QContextMenuEvent QContextMenuEvent QContextMenuEvent QContextMenuEvent QContextMenuEvent QContextMenuEvent